features:
  secondary:
    - name: "Automatically bring in artifacts from cross-project jobs"
      available_in: [premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/#cross-project-artifact-downloads-with-needs-premium'
      reporter: thaoyeager
      stage: verify
      categories:
        - 'Continuous Integration (CI)'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/14311'
      description: |
        You can now specify that a job in a project depends on the latest artifact produced by a job in another pipeline, making it much easier to set up cross-project pipelines that have artifact dependencies on each other.

        As an example, you might have a pipeline that builds an executable binary. Before this update, you had to rebuild all of the libraries the binary depended on every time you built the binary, even if the library didn't change. This was a waste of time and computing power, and the workarounds required using a brittle mix of API keys, cURL, and secure variables. Now, by specifying `artifacts: true` on your `needs:` job, you can pull the artifact generated by the library pipeline and use it in your final executable pipeline without the need to rebuild.
